Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface CatalogInfo

    public interface CatalogInfo

Interface `CatalogInfo` contains information of a catalog in the server.

Since:
  version 8

Method Summary
`boolean` | `canCreateReport()` Checks if the resource path maps can create page reports.
`boolean` | `canCreateStudioReport()` Checks if the resource path maps can create web reports.
`java.util.List<FieldInfo>` | `getAllAliasFieldsByDataSource(java.lang.String datasource)` Gets all alias mapping fields by specified data source name.
`java.util.List<java.lang.String>` | `getAllBVResourceByDataSource(java.lang.String datasource)` Gets all BV node resource names by specified data source Name.
`java.lang.String[]` | `getAllDataSource()` Returns all data sources of the catalog.
`java.util.Vector[]` | `getAllQueriesByDataSource(java.lang.String dataSrcName)` Returns connection and all kinds of queries in the data source, all return queries are valid to create Cached Report Data (CRD).
`java.util.List<java.lang.String>` | `getAllRCResourceByDataSource(java.lang.String datasource)` Gets all RC node resource names by specified data source Name.
`java.util.List<BusinessViewInfo>` | `getBusinessViewsInDataSource(java.lang.String datasourceName)` Get all business views in specified datasource which is represented in `BusinessViewInfo`
`java.util.Vector<CatConnectionInfo>` | `getCatConnectionInfos()` Returns DB connection information of the catalog.
`ParameterManager` | `getParameterManager(java.lang.String dataSrcName, java.lang.String[] queryNames)` Returns ParameterManager which provides methods to get parameters information.
`java.util.List<ParameterInfo>` | `getParametersInDataSource(java.lang.String datasourceName)` Get all paramters in specified datasource which is represented in `ParamterInfo`
`java.util.List<QueryInfo>` | `getQueriesInDataSource(java.lang.String datasourceName)` Get all queries in specified datasource which is represented in `QueryInfo`

Method Detail

### getCatConnectionInfos

    java.util.Vector<CatConnectionInfo> getCatConnectionInfos()
                                                              throws RptServerException

  Returns DB connection information of the catalog.

  Returns:
    DB connection information of the catalog. The Vector contains CatConnectionInfo objects.
  Throws:
    `RptServerException` - if an RptServerException occurs
  See Also:
    `CatConnectionInfo`

### getAllDataSource

    java.lang.String[] getAllDataSource()
                                        throws RptServerException

  Returns all data sources of the catalog.

  Returns:
    data source information of the catalog. The String[] contains catalog data source names.
  Throws:
    `RptServerException` - if an RptServerException occurs

### canCreateReport

    boolean canCreateReport()
                            throws RptServerException

  Checks if the resource path maps can create page reports.

  Returns:
    whether the resource path maps can create page reports
  Throws:
    `RptServerException` - if an RptServerException occurs

### canCreateStudioReport

    boolean canCreateStudioReport()
                                  throws RptServerException

  Checks if the resource path maps can create web reports.

  Returns:
    whether the resource path maps can create web reports
  Throws:
    `RptServerException` - if an RptServerException occurs

### getAllQueriesByDataSource

    java.util.Vector[] getAllQueriesByDataSource(java.lang.String dataSrcName)
                                                 throws RptServerException

  Returns connection and all kinds of queries in the data source, all return queries are valid to create Cached Report Data (CRD).

  Parameters:
    `dataSrcName` - the data source name
  Returns:
    Vector array which contains all kinds of queries. Vector[0]: Connection, Vector[1]: Imported SQLs Vector[2]: Stored Process, Vector[3]: User Defined Vector[4]: Hierarchical, Vector[5]: Queries Vector[6]: Parameters
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    V10

### getQueriesInDataSource

    java.util.List<QueryInfo> getQueriesInDataSource(java.lang.String datasourceName)
                                                     throws RptServerException

  Get all queries in specified datasource which is represented in `QueryInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all queries in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    version 12

### getBusinessViewsInDataSource

    java.util.List<BusinessViewInfo> getBusinessViewsInDataSource(java.lang.String datasourceName)
                                                                  throws RptServerException

  Get all business views in specified datasource which is represented in `BusinessViewInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all business views in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    version 13.5

### getParametersInDataSource

    java.util.List<ParameterInfo> getParametersInDataSource(java.lang.String datasourceName)
                                                            throws RptServerException

  Get all paramters in specified datasource which is represented in `ParamterInfo`

  Parameters:
    `datasourceName` - the data source name
  Returns:
    all parameters in specified datasource
  Throws:
    `RptServerException` - if an RptServerException occurs.
  Since:
    version 13.1

### getParameterManager

    ParameterManager getParameterManager(java.lang.String dataSrcName,
                                         java.lang.String[] queryNames)
                                         throws RptServerException

  Returns ParameterManager which provides methods to get parameters information.

  Parameters:
    `dataSrcName` - the data source name
    `queryNames` - the query names
  Returns:
    ParameterManager
  Throws:
    `RptServerException` - if an RptServerException occurs
  Since:
    V10
  See Also:
    `ParameterManager`

### getAllBVResourceByDataSource

    java.util.List<java.lang.String> getAllBVResourceByDataSource(java.lang.String datasource)
                                                                  throws RptServerException

  Gets all BV node resource names by specified data source Name.

  Parameters:
    `datasource` - data source name.
  Returns:
    BV node resource names.
  Throws:
    `RptServerException` - when RptServerException occurs.
  Since:
    V10

### getAllRCResourceByDataSource

    java.util.List<java.lang.String> getAllRCResourceByDataSource(java.lang.String datasource)
                                                                  throws RptServerException

  Gets all RC node resource names by specified data source Name.

  Parameters:
    `datasource` - data source name.
  Returns:
    RC node resource names.
  Throws:
    `RptServerException` - when RptServerException occurs.
  Since:
    V10

### getAllAliasFieldsByDataSource

    java.util.List<FieldInfo> getAllAliasFieldsByDataSource(java.lang.String datasource)
                                                            throws RptServerException

  Gets all alias mapping fields by specified data source name.

  Parameters:
    `datasource` - data source name.
  Returns:
    a `List` object that includes a list of `FieldInfo`.
  Throws:
    `RptServerException` - when RptServerException occurs.
  Since:
    V10.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD